Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core
Class NamedThreadLocal<T>

    java.lang.Object
      java.lang.ThreadLocal<T>
          org.springframework.core.NamedThreadLocal<T>

    public class NamedThreadLocal<T>

extends ThreadLocal<T>

`ThreadLocal` subclass that exposes a specified name as `toString()` result (allowing for introspection).

Since:
  2.5.2
Author:
  Juergen Hoeller
See Also:
  `NamedInheritableThreadLocal`

Constructor Summary
`NamedThreadLocal(String name)` Create a new NamedThreadLocal with the given name.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.ThreadLocal
`get, initialValue, remove, set`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamedThreadLocal

    public NamedThreadLocal(String name)

  Create a new NamedThreadLocal with the given name.

  Parameters:
    `name` - a descriptive name for this ThreadLocal

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD